<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


echo '<img src="../images/img/partners.gif" alt=""> <b>21 (Очко)</b><br><br>';

	
if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}


if(empty($_SESSION['round'])){
$_SESSION['round']=0;
$_SESSION['money']=$udata[41];
$_SESSION['con']=0;
$_SESSION['histuser']="";

}

$ref=rand(1000,9999);

$maxstavka=$udata[41];
if($maxstavka>5000){$maxstavka=5000;}

function cards_score($str){
if($str==1||$str==2||$str==3||$str==4){
$num = 6;
}
if($str==5||$str==6||$str==7||$str==8){
$num = 7;
}
if($str==9||$str==10||$str==11||$str==12){
$num = 8;
}                
if($str==13||$str==14||$str==15||$str==16){
$num = 9;
}                
if($str==17||$str==18||$str==19||$str==20){
$num = 10;
}                
if($str==21||$str==22||$str==23||$str==24){
$num = 2;
}                
if($str==25||$str==26||$str==27||$str==28){
$num = 3;
}                      
if($str==29||$str==30||$str==31||$str==32){
$num = 4;
}                      
if($str==33||$str==34||$str==35||$str==36){
$num = 11;
}                      
return $num;
}

$ru = rand(1,36);

if(!isset($action)){
$max = $_SESSION['money'];


if($udata[41]==0){

unset($_SESSION['round']);
unset($_SESSION['money']);
unset($_SESSION['con']);
unset($_SESSION['histuser']);

echo 'У Вас на счету не осталось средств для продолжения текущей игры!<br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
exit;
}

echo 'У Вас '.$udata[41].' золотых монет<br>';

if($_SESSION['histuser']!="" && $_SESSION['histuser']!="|") {
$carr = explode("|",$_SESSION['histuser']);
$ru=$carr[1];  }


echo '<b>Ваши карты:</b><br><img src="../images/cards/'.$ru.'.gif" alt=""><br>';
$uscore=cards_score($ru);
$pstr = 'очков';
if($uscore==2||$uscore==3||$uscore==4)$pstr = "очка";
echo $uscore.' '.$pstr.'<br>';
$maxlen=strlen($max);

echo 'Ваша ставка(1-'.$maxstavka.'):<br>';

if($config_themes!=="wml"){
echo'<form action="21.php?action=game&amp;rand='.$ref.'&amp;'.SID.'" method="post">';
echo'<input name="mn" maxlength="'.$maxlen.'" /><br>';
echo'<input type="submit" value="Играть" /></form><hr>';

}else{

echo '<input name="mn" maxlength="'.$maxlen.'"/><br>';
echo '<anchor title="go">Играть<go href="21.php?action=game&amp;rand='.$ref.'&amp;'.SID.'" method="post">';
echo '<postfield name="mn" value="$(mn)"/>';
echo '</go></anchor><br>'; }

echo'Mаксимальная ставка - 5000 монет<br><br>';
echo '<img src="../images/img/faq.gif" alt=""> <a href="21.php?action=pravila&amp;'.SID.'">Правила игры</a><br>';


$_SESSION['histuser']="|$ru";
$_SESSION['round']=1;
} 

if($action=="game"){
if($_SESSION['con']==0){
if($mn===""||!isset($mn)||$mn<1 || $mn>$maxstavka){



if($mn===""||$mn<1)echo 'Вы не указали ставку!'; 
else echo 'На Вашем счету недостаточно средств для подобной ставки!';
$_SESSION['round']=0;
echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="21.php?'.SID.'">В игру</a><br>'; 
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
exit;

}   

$_SESSION['con']=round($mn);
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-$_SESSION['con'];

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

}

$rate=$_SESSION['con']*2;
$histuser=split("\|",$_SESSION['histuser']);
if(!isset($end)){
do{$randgen=1;
$ru = rand(1,36);
for($i=1;$i < count($histuser);$i++){
if($ru==$histuser[$i]){
$randgen=0;
break;
}}} while($randgen==0); 

$_SESSION['histuser']=$_SESSION['histuser']."|$ru";
$countus = count($histuser);
$histuser[$countus] = $ru;

}

for($i=1;$i < count($histuser);$i++){
$ustemp=cards_score($histuser[$i]);
@$uscore=@$uscore+$ustemp;

}

$udoublet=0;
if((count($histuser)==3)&&($uscore==22)){
$tone=0;
$ttwo=0;
if($histuser[1]==33||$histuser[1]==34||$histuser[1]==35||$histuser[1]==36)$tone=1;
if($histuser[2]==33||$histuser[2]==34||$histuser[2]==35||$histuser[2]==36)$ttwo=1;
if($tone==1&&$ttwo==1)$udoublet=1;

}

if($uscore>21&&$udoublet==0)$close=1;
if($udoublet==1||$uscore==21||$uscore==20)$end=1;


$max = $_SESSION['money'];
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);}

echo 'У Вас '.$udata[41].' золотых монет<br>';
if(isset($close))echo "<b>перебор!</b><br>";
$win=0;
if(isset($end)){
$histbot[0]="";
$hist=$histuser;
for($i=1;$i < 10;$i++){
do{$randgen=1;
$rb = rand(1,36);
for($i=1;$i < count($hist);$i++){
if($rb==$hist[$i]){
$randgen=0;
break;
}}} while($randgen==0); 

$histbot[]=$rb;
$hist[]=$rb;
$btemp=cards_score($rb);
@$bcore=@$bcore+$btemp;
if($bcore==20)break;
if($bcore==21)break;
if($bcore==$uscore)break;
if($bcore>$uscore)break;
if($bcore>21)break;

}



echo '<b>Банкир открылся:</b><br>';
for($i=1;$i < count($histbot);$i++){
echo '<img src="../images/cards/'.$histbot[$i].'.gif" alt="">';

}

$pstr = 'очков';
if($bcore==2||$bcore==3||$bcore==4||$bcore==22||$bcore==23||$bcore==24)$pstr = "очка";
if($bcore==21)$pstr = '<b>очко!!!</b>';
echo '<br>'.$bcore.' '.$pstr.'<br>';
$bdoublet=0;
if((count($histbot)==3)&&($bcore==22)){
$tone=0;
$ttwo=0;
if($histbot[1]==33||$histbot[1]==34||$histbot[1]==35||$histbot[1]==36)$tone=1;
if($histbot[2]==33||$histbot[2]==34||$histbot[2]==35||$histbot[2]==36)$ttwo=1;
if($tone==1&&$ttwo==1)$bdoublet=1;

}

if($bcore>21&&$bdoublet==0)$win=1;
if($bcore<=$uscore)$win=1;
if($udoublet==1)$win=1;
if($bdoublet==1)$win=0;
if($bcore==21)$win=0;
if($uscore==21)$win=1;

$close=1;

}

echo '<b>Ваши карты:</b><br>';
for($i=1;$i < count($histuser);$i++){
echo '<img src="../images/cards/'.$histuser[$i].'.gif" alt="">';

}

$pstr = 'очков';
if($uscore==2||$uscore==3||$uscore==4||$uscore==22||$uscore==23||$uscore==24)$pstr = "очка";
if($uscore==21)$pstr = '<b>очко!!!</b>';
echo '<br>'.$uscore.' '.$pstr.'<br>';
if(isset($close)){
$_SESSION['round']=0;
$_SESSION['histuser']="";

if($win==0){
echo '<b>Вы проиграли</b><br>';
$_SESSION['con']=0;

} else {
echo '<b>Вы выиграли!</b><br>';

$_SESSION['con']=0;

//------------------------------ Запись в профиль ----------------------------//
$ufiles = file(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles[0]);

$udatas[41]=$udatas[41]+$rate;

for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}

if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fps=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fps,LOCK_EX);           
ftruncate($fps,0);                                                                
fputs($fps,$utexts);
fflush($fps);
flock($fps,LOCK_UN);
fclose($fps);  
unset($utexts);
}


echo 'Ваш выигрыш '.(int)$rate.' золотых монет<br>';
}

echo '<a href="21.php?'.SID.'">сыграть ещё</a><br><br>';
} else {
echo 'на кону монет: '.(int)$rate.' <br><a href="21.php?action=game&amp;rand='.$ref.'&amp;'.SID.'">ещё</a> &lt;или&gt; 
<a href="21.php?action=game&amp;end&amp;rand='.$ref.'&amp;'.SID.'">открыть</a><br><br>';

}}}else{echo'Для того чтобы начать игру вам необходимо авторизоваться<br>';}



if($action=="pravila"){

echo 'Для участия в игре сделайте ставку и нажмите "играть", Ваша ставка будет получена Банкиром и он начнет сдавать Вам карты(одна карта уже заранее сдана).<br>';
echo 'В игре участвуют двое - Вы и Банкир, на кону - двойная ставка (Ваша ставка и ставка Банкира). Взяв карты, Вы подсчитываете суммарное количество их очков.<br>';
echo '<b>Очки считаются следующим образом:</b><br>';
echo 'шестерка - 6 очков<br>';
echo 'семерка - 7 очков<br>';
echo 'восьмерка - 8 очков<br>';
echo 'девятка - 9 очков<br>';
echo 'десятка - 10 очков<br>';
echo 'валет(J) - 2 очков<br>';
echo 'дама(Q) - 3 очков<br>';
echo 'король(K) - 4 очков<br>';
echo 'туз(A) - 11 очков.<br>';
echo 'Сумма очков не зависит от масти карт.<br>';
echo 'Для взятия очередной карты нужно нажать кнопку "ещё".<br>';
echo 'Если сумма Ваших очков больше 21, то Вы проиграли - перебор, исключение - 2 туза(22 очка).<br>';
echo '<b>Очко(21) главнее чем 2 туза(22)!</b><br>';
echo 'Взяв необходимое количество карт, Вы нажимаете кнопку "открыть", и Банкир открывает свои карты(если Вы набираете 20, 21 или 22(2 туза) очка то Банкир открывается автоматически). Выигрывает тот, у кого больше очков. Он забирает кон размером в 2 ставки. При равном количестве очков выигрываете ВЫ!.<br>Внимание!!! Если вы проиграете все деньги никто вам их не вернет, вы не сможете начать игру сначала, количество золотых монет вы сможете посмотреть в своей анкете<br><br>';

echo '<img src="../images/img/back.gif" alt=""> <a href="21.php?'.SID.'">В игру</a><br>';
}

echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>



